local fix_entities = require("fix-entities")

function register_commands()
	commands.add_command("update_electricity_generators", "Fixes already existing electricity generators", function(e)
		fix_entities()
	end)
end

script.on_init(function()
	register_commands()
	fix_entities()
end)

script.on_load(function()
	register_commands()
end)

script.on_configuration_changed(function()
	fix_entities()
end)
